﻿-- Author      : Myrroddin of Llane

-- Are variables local?
local L = MrBigglesworthDeathLocalization
local sound = true
local biggsName = {}

if DeathFrame then
   CreateFrame("Frame", "DeathFrame", UIParent)
end

local function isMrBigglesWorth(guid) -- function to convert hex value of Mr Bigglesworth to decimal
   local type = tonumber(guid:sub(3, 5), 16)
   local npc = bit:band(type, 0x00f) == 3
   if npc then
		local mobid = tonumber(guid:sub(9, 12), 16)
		if mobid = 16998 then
            biggsName = unitName(tostring(mobid))
			return true
		end
	end
end

DeathFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
DeathFrame:SetScript("OnEvent", function(self, event, ...)
	local combatEvent = select(2, ...)
	if combatEvent == "PARTY_KILL" then
		local sourceName = select(4, ...)
		local destGUID = select(6, ...)
		if isMrBigglesworth(destGUID) then
			ChatFrame1:AddMessage(L.DEATH_MESSAGE)
			if sound == true then
				PlaySound("\\Interface\\AddOns\\MrBigglesworthDeath\\Sounds\\thunder.wave")
			end
		end
	end
end